## e-cal-backend-util

e-cal-backend-util

## Functions

gboolean | e_cal_backend_mail_account_get_default ()
gboolean | e_cal_backend_mail_account_is_valid ()
gboolean | e_cal_backend_user_declined ()

## Description

## Functions

### e_cal_backend_mail_account_get_default ()

    gboolean
    e_cal_backend_mail_account_get_default
                                   (ESourceRegistry *registry,
                                    gchar **address,
                                    gchar **name);

Retrieve the default mail account as stored in Evolution configuration.

#### Parameters

registry | an ESourceRegistry |
address | placeholder for default address |
name | placeholder for name |

#### Returns

TRUE if there is a default account, FALSE otherwise.

### e_cal_backend_mail_account_is_valid ()

    gboolean
    e_cal_backend_mail_account_is_valid (ESourceRegistry *registry,
                                         const gchar *user,
                                         gchar **name);

Checks that a mail account is valid, and returns its name.

#### Parameters

registry | an ESourceRegistry |
user | user name for the account to check |
name | placeholder for the account name |

#### Returns

TRUE if the account is valid, FALSE if not.

### e_cal_backend_user_declined ()

    gboolean
    e_cal_backend_user_declined (ESourceRegistry *registry,
                                 ICalComponent *icalcomp);

#### Parameters

registry | an ESourceRegistry |
icalcomp | component where to check |

#### Returns

Whether icalcomp contains attendee with a mail same as any of configured enabled mail account and whether this user declined.

Since: 2.26